# ChangeLog for app-misc/lcdproc
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/lcdproc/ChangeLog,v 1.48 2007/01/29 00:19:11 rbu Exp $

*lcdproc-0.5.1-r3 (29 Jan 2007)

  29 Jan 2007; Robert Buchholz <rbu@gentoo.org> -lcdproc-0.5.1-r2.ebuild,
  +lcdproc-0.5.1-r3.ebuild:
  No symlink installed, manual fixing of conf necessary, to avoid blocking
  older versions

  28 Jan 2007; Robert Buchholz <rbu@gentoo.org> -files/0.5.0-LCDd.initd,
  -files/0.5.0-as-needed.patch, -files/0.5.0-LCDd-conf-driver-path.patch,
  -files/0.5.0-docs-doctype.patch, -files/0.5.0-lcdproc.initd,
  -lcdproc-0.5.0-r2.ebuild, lcdproc-0.5.1-r1.ebuild,
  lcdproc-0.5.1-r2.ebuild:
  Cleaning out old 0.5.0 version

  27 Jan 2007; Joseph Jezak <josejx@gentoo.org> lcdproc-0.5.1-r2.ebuild:
  Marked ~ppc for bug #148072.

*lcdproc-0.5.1-r2 (24 Jan 2007)

  24 Jan 2007; Robert Buchholz <rbu@gentoo.org>
  +files/0.5.1-nested-functions.patch,
  files/0.5.1-LCDd-conf-driver-path.patch, lcdproc-0.5.0-r2.ebuild,
  lcdproc-0.5.1-r1.ebuild, +lcdproc-0.5.1-r2.ebuild:
  Introduced LCD_DEVICES, moved drivers to /usr/lib/lcdproc

  26 Dec 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  lcdproc-0.5.1-r1.ebuild:
  Keyworded ~sparc wrt #148072

  21 Dec 2006; Markus Rothe <corsair@gentoo.org> lcdproc-0.5.1-r1.ebuild:
  Added ~ppc64; bug #151308

*lcdproc-0.5.1-r1 (20 Dec 2006)

  20 Dec 2006; Markus Ullmann <jokey@gentoo.org>
  +files/0.5.1-serialvfd-parallel.patch, -lcdproc-0.5.1.ebuild,
  +lcdproc-0.5.1-r1.ebuild:
  Adding patch to fix dep-compile bug #151308

  06 Dec 2006; Markus Ullmann <jokey@gentoo.org>
  +files/0.5.0-as-needed.patch, +files/0.5.1-as-needed.patch,
  lcdproc-0.5.0-r2.ebuild, lcdproc-0.5.1.ebuild:
  Fix for bug #155587 thanks to zzam for providing the patch

  16 Nov 2006; Joseph Jezak <josejx@gentoo.org> lcdproc-0.5.0-r2.ebuild:
  Marked ~ppc for bug #148072.

  24 Oct 2006; Markus Ullmann <jokey@gentoo.org> -files/0.4.5-LCDd,
  -files/0.5.0-LCDd:
  removing old init scripts

  24 Oct 2006; Markus Ullmann <jokey@gentoo.org> -files/0.4.5-LCDd.rc,
  -files/0.5.0-LCDd.rc, +files/0.4.5-lcdproc.initd,
  +files/0.5.0-lcdproc.initd, +files/0.4.5-LCDd.initd,
  -files/0.4.5-lcdproc.rc, +files/0.5.0-LCDd.initd, -files/0.5.0-lcdproc.rc,
  +files/0.5.1-LCDd.initd, -files/0.5.1-LCDd.rc, +files/0.5.1-lcdproc.initd,
  -files/0.5.1-lcdproc.rc, lcdproc-0.4.5.ebuild, lcdproc-0.5.0-r2.ebuild,
  lcdproc-0.5.1.ebuild:
  QA and init.d fix

  24 Oct 2006; Markus Ullmann <jokey@gentoo.org> lcdproc-0.5.1.ebuild:
  Adding autotools

  18 Oct 2006; Markus Ullmann <jokey@gentoo.org> metadata.xml:
  Metadata update

  18 Oct 2006; Markus Ullmann <jokey@gentoo.org> lcdproc-0.5.1.ebuild:
  loop to output EXTRA_DRIVERS instead of hard coding them

*lcdproc-0.5.1 (16 Oct 2006)

  16 Oct 2006; Markus Ullmann <jokey@gentoo.org> +files/0.5.1-LCDd.rc,
  +files/0.5.1-lcdproc.rc, +files/0.5.1-LCDd-conf-driver-path.patch,
  -files/0.5.1_pre20061009-LCDd.rc,
  -files/0.5.1_pre20061009-LCDd-conf-driver-path.patch,
  -files/0.5.1_pre20061009-lcdproc.rc, -lcdproc-0.5.1_pre20061009.ebuild,
  +lcdproc-0.5.1.ebuild:
  Version bump as 0.5.1 was released

*lcdproc-0.5.1_pre20061009 (11 Oct 2006)
*lcdproc-0.5.0-r2 (11 Oct 2006)

  11 Oct 2006; Markus Ullmann <jokey@gentoo.org> +files/0.4.5-lcdproc.rc,
  +files/0.5.0-docs-doctype.patch, +files/0.5.0-LCDd.rc,
  +files/0.5.0-lcdproc.rc, +files/0.4.5-LCDd.rc,
  +files/0.5.1_pre20061009-LCDd.rc,
  +files/0.5.1_pre20061009-LCDd-conf-driver-path.patch,
  +files/0.5.1_pre20061009-lcdproc.rc, -files/lcdproc,
  -lcdproc-0.5.0-r1.ebuild, +lcdproc-0.5.0-r2.ebuild,
  +lcdproc-0.5.1_pre20061009.ebuild:
  Fixing doc generation, adding CVS snapshot and new dep: g15

  25 Sep 2006; <jokey@gentoo.org> lcdproc-0.4.5.ebuild,
  lcdproc-0.5.0-r1.ebuild:
  QA fixes, thanks to Robert Buchholz

*lcdproc-0.5.0-r1 (22 Sep 2006)

  22 Sep 2006; <jokey@gentoo.org> +files/0.5.0-LCDd, +files/0.4.5-LCDd,
  -files/LCDd, lcdproc-0.4.5.ebuild, -lcdproc-0.5.0.ebuild,
  +lcdproc-0.5.0-r1.ebuild:
  Adding new init.d script for 0.5.0 to fix bug #148513

  20 Sep 2006; Markus Rothe <corsair@gentoo.org> lcdproc-0.5.0.ebuild:
  Added ~ppc64; bug #148072

*lcdproc-0.5.0 (18 Sep 2006)

  18 Sep 2006; Markus Ullmann <jokey@gentoo.org>
  -files/lcdproc-0.4.4-security.patch,
  +files/0.5.0-LCDd-conf-driver-path.patch,
  -files/lcdproc-0.4.3-gentoo.diff, -files/lcdproc.confd, +metadata.xml,
  +lcdproc-0.5.0.ebuild:
  Cleanup and Version bump, thanks to Robert Buchholz in bug #130302 for
  providing ebuild and needed patch

  05 Aug 2006; Chris White <chriswhite@gentoo.org> -lcdproc-0.4.4-r1.ebuild:
  Punted insecure versions for bug #140498.

  08 Jul 2006; Markus Rothe <corsair@gentoo.org> lcdproc-0.4.5.ebuild:
  Stable on ppc64

  08 Jun 2006; Jeremy Huddleston <eradicator@gentoo.org>
  lcdproc-0.4.5.ebuild:
  Added to ~ppc64.

  24 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> lcdproc-0.4.5.ebuild:
  Stable on ppc.

  28 Nov 2004; Joseph Jezak <josejx@gentoo.org> lcdproc-0.4.5.ebuild:
  Marked ~ppc for bug #72583.

  05 Oct 2004; Mike Frysinger <vapier@gentoo.org> files/LCDd:
  Update init.d script to use net, not need it #33161.

  27 Aug 2004; Gustavo Zacarias <gustavoz@gentoo.org> lcdproc-0.4.5.ebuild:
  Keyworded ~sparc w00t!

  01 Jul 2004; Aron Griffis <agriffis@gentoo.org> lcdproc-0.4.4-r1.ebuild:
  sync IUSE (+samba)

  18 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> lcdproc-0.4.5.ebuild:
  sync IUSE

  08 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org>
  lcdproc-0.4.1-r1.ebuild, lcdproc-0.4.3-r1.ebuild, lcdproc-0.4.3-r2.ebuild,
  lcdproc-0.4.3.ebuild, lcdproc-0.4.4.ebuild:
  clean older ebuilds

  01 Jun 2004; Aron Griffis <agriffis@gentoo.org> lcdproc-0.4.3-r1.ebuild,
  lcdproc-0.4.4-r1.ebuild, lcdproc-0.4.4.ebuild, lcdproc-0.4.5.ebuild:
  Fix use invocation

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> lcdproc-0.4.4-r1.ebuild:
  Add inherit eutils

  25 Apr 2004; Aron Griffis <agriffis@gentoo.org> lcdproc-0.4.1-r1.ebuild,
  lcdproc-0.4.3.ebuild:
  Add die following econf for bug 48950

*lcdproc-0.4.5 (14 Apr 2004)

  14 Apr 2004; <plasmaroo@gentoo.org> lcdproc-0.4.5.ebuild:
  Version bump in reference to bug #47340 which addresses a security flaw in
  LCDproc.

  13 Apr 2004; Jon Portnoy <avenj@gentoo.org> lcdproc-0.4.4-r1.ebuild :
  Stable on x86

  09 Apr 2004; Jon Portnoy <avenj@gentoo.org> lcdproc-0.4.4-r1.ebuild :
  Stable on AMD64

*lcdproc-0.4.4-r1 (09 Apr 2004)

  09 Apr 2004; <plasmaroo@gentoo.org> lcdproc-0.4.4-r1.ebuild,
  files/lcdproc-0.4.4-security.patch:
  Version bump in reference to bug #47340 which addresses a security flaw in
  LCDproc.

*lcdproc-0.4.4 (31 Mar 2004)

  31 Mar 2004; Daniel Ahlberg <aliz@gentoo.org> lcdproc-0.4.4.ebuild:
  Version bump. New ebuild contriuted by Rene Wagner <reenoo@gmx.de> in #46296.

  08 Mar 2004; Jon Portnoy <avenj@gentoo.org> lcdproc-0.4.3-r2.ebuild :
  AMD64 keywords.

  10 Jun 2003; <msterret@gentoo.org> lcdproc-0.4.3-r1.ebuild,
  lcdproc-0.4.3-r2.ebuild:
  DEPEND on sed >= 4

*lcdproc-0.4.3-r2 (05 Feb 2003)

  09 Feb 2003; Peter Johanson <latexer@gentoo.org> files/lcdproc files/LCDd :
  Slight change to init scripts, and fixed Rene's email address in the ChangeLog.
  Thanks again to Rene Wagner <reenoo@gmx.de>

  05 Feb 2003; Peter Johanson <latexer@gentoo.org> lcdproc-0.4.3-r2.ebuild :
  Ebuild updates as per #15004. Now build specific drivers by setting
  LCDPROC_DRIVERS before emerging. Updated init scripts as well. Updates thanks
  to Rene Wagner <reenoo@gmx.de>.

*lcdproc-0.4.3-r1 (07 Jan 2003)

  07 Jan 2003; Daniel Ahlberg <aliz@gentoo.org> lcdproc-0.4.3-r1.ebuild :
  Massive ebuild updates by Rene Wagner <reenoo@gmx.de> in #13291.
  Unmasked becuse 0.4.1 contains buffer overflows.

*lcdproc-0.4.3 (05 Nov 2002)

  12 Nov 2002; Daniel Ahlberg <aliz@gentoo.org> lcdproc-0.4.3.ebuild :
  Removed autostarting of initscript.

  05 Nov 2002; Daniel Ahlberg <aliz@gentoo.org> :
  Version bump.

*lcdproc-0.4.1-r1 (1 Feb 2002)

  12 Nov 2002; Daniel Ahlberg <aliz@gentoo.org> lcdproc-0.4.1-r1.ebuild :
  Removed autostarting of initscript.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :

  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
